<?php
include 'core/sys.php';
include 'core/func_time.php';
reg();
head('Лаборатории');
###максимально 9 лаб
$time_dohod = time()+(60*60*3);
echo '<div class="name">Лаборатории:</div>';



	if(isset($_GET['my'])){
	$lab_us_q = mysql_query("SELECT * FROM `lab_user` WHERE `user_id`='".$user['id']."' ORDER BY `id` LIMIT 9");
	$total = mysql_result(mysql_query("SELECT COUNT(id) FROM `lab_user` WHERE `user_id`='".$user['id']."'"),0);
	echo '<div class="row">';
			if($total ==0){
			echo 'У вас нет лабораторий.<br><a href="lab.php">Купить лабораторию</a></div>';
			foot();
			exit;
			}
		if(!empty($_GET['del'])){
		$del_id = int($_GET['del']);
		$del = mysql_fetch_assoc(mysql_query("SELECT * FROM `lab_user` WHERE `user_id`='".$user['id']."' AND `id`='".$del_id."' LIMIT 1"));
			if($del){
			echo 'Уничтожить лабораторию?<br><a id="link_button" href="lab.php?my&del='.$del_id.'&yes">Да</a> <a id="link_button" href="lab.php?my&del='.$del_id.'&no">Нет</a></div>';
				if(isset($_GET['yes'])){
				mysql_query("DELETE FROM `lab_user` WHERE `id`='".$del['id']."'");
				header("Location: lab.php?my");
				}elseif(isset($_GET['no'])){
				header("Location: lab.php?my");
				}
			}else{
			header("Location: index.php");
			}
		
		foot();
		exit;		
		}
		
		
		if(!empty($_GET['dohod'])){
		$dohod_id = int($_GET['dohod']);
		$dohod = mysql_fetch_assoc(mysql_query("SELECT * FROM `lab_user` WHERE `user_id`='".$user['id']."' AND `id`='".$dohod_id."' LIMIT 1"));
		$lab = mysql_fetch_assoc(mysql_query("SELECT * FROM `lab` WHERE `id`='".$dohod['lab']."' LIMIT 1"));
			if($dohod){
			$dohod_money = $lab['dohod']*$dohod['people'];
				if(time()>=$dohod['time_dohod'] ){
				echo 'Ваш доход <img src="img/money/money.png"> '.$dohod_money .'<br>';
				mysql_query("UPDATE `users` SET `money`=`money`+".$dohod_money." WHERE `id`='".$user['id']."'");
				mysql_query("UPDATE `lab_user` SET `time_dohod`='".$time_dohod."' WHERE `user_id`='".$user['id']."' AND `id`='".$dohod_id."'");
				}else{
				echo 'Ваша лаборатория еще не готова сдать золото<br>';
				}
			}
		echo '</div>';
		foot();
		exit;
		}
			
			
		if(!empty($_GET['personal'])){
		$people_id = int($_GET['personal']);
		$people = mysql_fetch_assoc(mysql_query("SELECT * FROM `lab_user` WHERE `user_id`='".$user['id']."' AND `id`='".$people_id."' LIMIT 1"));
		$lab = mysql_fetch_assoc(mysql_query("SELECT * FROM `lab` WHERE `id`='".$people['lab']."' LIMIT 1"));
		$one_personal = round($lab['money']/15);
			if(!$people){
			header('Location: lab.php?my');
			exit;
			}
			if($user['money']<$one_personal){
			echo 'У Вас нет денег.</div>';
			foot();
			exit;
			}
			if($people['people']>=$lab['people']){
			echo 'Вы достигли лимита по кол-ву персонала для этой лаборатории.</div>';
			foot();
			exit;
			}
		echo 'Вы наняли еще 1-го человека. Теперь лаборатория принесет больше золота.<br>Зар.плата перосналу - <img src="img/money/money.png"> '.$one_personal.'';
		echo '</div>';
		mysql_query("UPDATE `users` SET `money`=`money`-".$one_personal." WHERE `id`='".$user['id']."'");
		mysql_query("UPDATE `lab_user` SET `people`=`people`+1 WHERE `id`='".$people_id."' AND `user_id`='".$user['id']."'");
		echo '<div class="name"><a href="lab.php?my">Лаборатории</a></div>';
		foot();
		exit;
		}
		while($lab_us=mysql_fetch_assoc($lab_us_q)){
		$lab = mysql_fetch_assoc(mysql_query("SELECT * FROM `lab` WHERE `id`='".$lab_us['lab']."' LIMIT 1"));
		$one_personal = round($lab['money']/15);
		$dohod = $lab['dohod']*$lab_us['people'];
		$time_dohod= $lab_us['time_dohod']-time();
		echo '<div class="lab"><img src="img/lab/'.$lab['id'].'.png"><br>
		'.$lab['name'].'<br>
		Персонал: '.$lab_us['people'].' из '.$lab['people'].'<br>
		Доход: <img src="img/money/money.png"> '.$dohod.'<br>
		<a href="lab.php?my&amp;personal='.$lab_us['id'].'">+ 1 чел.</a> <img src="img/money/money.png"> '.$one_personal.'<br/>
		<a href="lab.php?my&amp;del='.$lab_us['id'].'">Уничтожить</a><br>';
			if($lab_us['time_dohod']>time()){
			echo ''.Sec2Time($time_dohod).'<br>';
			}else{
			echo '<a href="lab.php?my&amp;dohod='.$lab_us['id'].'">Забрать деньги</a><br>';
			}
		echo '</div>';
		}
		
	echo '<br><br>
	<a href="lab.php">Купить лабораторию</a></div>';
	foot();
	exit;
	}
	
	
	if(isset($_GET['buy']) and !empty($_GET['lab'])){
	$lab_id = int($_GET['lab']);
	$lab = mysql_fetch_assoc(mysql_query("SELECT * FROM `lab` WHERE `id`='".$lab_id."' LIMIT 1"));
	$count_lab = mysql_result(mysql_query("SELECT COUNT(id) FROM `lab_user` WHERE `user_id`='".$user['id']."'"),0);
		if($count_lab>=3){
		echo '<div id="error">Нельзя покупать больше 3 лабораторий</div>';
		foot();
		exit;
		}
		if($user['money']<$lab['money']){
		echo '<div id="error">У вас недостаточно средств</div>';
		foot();
		exit;
		}
	if($lab){
	mysql_query("INSERT INTO `lab_user` SET
	`user_id`='".$user['id']."',
	`lab`='".$lab['id']."',
	`people`='1',
	`time_dohod`='".$time_dohod."'");
	mysql_query("UPDATE `users` SET `money`=`money`-".$lab['money']." WHERE `id`='".$user['id']."'");
	}
	header('Location: lab.php?my');
	foot();
	exit;
	}
$lab_q = mysql_query("SELECT * FROM `lab` ORDER BY `money` ASC");
echo '<div class="row">';
	while($lab=mysql_fetch_assoc($lab_q)){
	echo '<div class="lab"><img src="img/lab/'.$lab['id'].'.png"><br>
	'.$lab['name'].'<br>
	Персонал: '.$lab['people'].'<br>
	Цена: <img src="img/money/money.png"> '.$lab['money'].'<br>
	С чел.* <img src="img/money/money.png"> '.$lab['dohod'].'<br>
	<a href="lab.php?buy&amp;lab='.$lab['id'].'">Купить</a>
	</div>';
	
	}
	echo '<br><br> * Указан доход с одного человека за 3 часа на лаборатории<br>
	** Максимальное кол-во лабораторий - 3<br>';
	echo '</div>';
foot();
?>